> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy thông tin chi tiết đăng ký giao/nhận hàng vật chất



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /mxv/physical-delivery/history/detail
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /mxv/physical-delivery/history/detail:
    get:
      tags:
        - MXV
      summary: Lấy thông tin chi tiết đăng ký giao/nhận hàng vật chất
      operationId: MXV_GetPhysicalDeliveryDetail
      parameters:
        - name: refConfirmationCode
          in: query
          required: false
          schema:
            type: string
        - name: refRequestCode
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.MXV.MXVPhysicalDeliveryRecord
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/FireAnt.Api.Models.MXV.MXVPhysicalDeliveryRecord
      security:
        - oauth2:
            - user-data-read
components:
  schemas:
    FireAnt.Api.Models.MXV.MXVPhysicalDeliveryRecord:
      description: "Bản ghi lịch sử đăng ký giao/nhận vật chất lưu trong bảng _MXVPhysicalDeliveries.\r\nTrả về từ SP mxv_GetPhysicalDeliveries và mxv_GetPhysicalDeliveryByCode."
      type: object
      properties:
        id:
          format: int32
          type: integer
        userName:
          type: string
        investorCode:
          type: string
        type:
          description: DELIVERY | RECEIVE | DEPOSIT
          type: string
        action:
          description: REGISTER | DESIGNATED
          type: string
        contract:
          type: string
        quantity:
          format: int32
          type: integer
        area:
          description: HN | HCM (chỉ có khi Type = RECEIVE)
          type: string
        warehouse:
          description: HN | HCM (chỉ có khi Type = DEPOSIT)
          type: string
        deliveryDate:
          description: Ngày dự kiến giao Bạc (YYYYMMDD)
          type: string
        refRequestCode:
          description: Mã TVKD tự sinh từ backend FireAnt
          type: string
        refConfirmationCode:
          description: Mã MXV cấp khi duyệt thành công - dùng để huỷ/truy vấn
          type: string
        deliveryCode:
          description: >-
            Mã giao hàng (có sau khi TTBT ghép cặp, bên bán dùng cho API
            designated)
          type: string
        pairingCode:
          description: >-
            Mã nhận hàng (có sau khi TTBT ghép cặp, bên mua dùng cho API
            designated)
          type: string
        status:
          description: P=Chờ duyệt | A=Đã duyệt | R=Từ chối | D=Đã giao | RV=Đã nhận
          type: string
        rejectReason:
          type: string
        transactionDate:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.